/* CTA BUTTON */
.cta-box .btn {
    background: #ffffff;
    color: #D289FF;
    font-weight: 500;
    transition: all .3s ease;
}

/* =========================
   CARD SIZE FIX (KLJUČNO)
========================= */
.spin-img {
    position: relative;
    aspect-ratio: 1 / 1;
    background: var(--bs-body-bg);

    display: flex;
    align-items: center;
    justify-content: center;

    overflow: hidden;
    border-radius: 16px;
}

/* IMAGE */
.spin-viewer img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    pointer-events: none;
    user-drag: none;
    -webkit-user-drag: none;
}

/* =========================
   VIEWER
========================= */
.spin-viewer {
    position: relative;
    width: 100%;
    height: 100%;
    cursor: grab;
}

.spin-viewer.dragging {
    cursor: grabbing;
}

/* =========================
   OVERLAY (Orbitvu style)
========================= */
.spin-overlay {
    position: absolute;
    inset: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    /* background: linear-gradient(to top, rgba(0,0,0,0.6), rgba(0,0,0,0.2)); */
    backdrop-filter: blur(1px);

    opacity: 1;
    transition: all .3s ease;

    pointer-events: none;
    z-index: 3;
}

/* hover sakriva */
.spin-card:hover .spin-overlay {
    opacity: 0;
    backdrop-filter: blur(0px);
}

/* =========================
   SMOOTH FEEL
========================= */
.spin-viewer img {
    will-change: transform;
    transition: opacity 0.15s ease;
}

/* =========================
   DARK MODE SHADOW FIX
========================= */
[data-bs-theme="dark"] .spin-img {
    background: var(--bs-secondary-bg);
}

/* =========================
   CARD TITLE
========================= */
.spin-card h5 {
    text-align: center;
}

/* =========================
   OPTIONAL HOVER
========================= */
.spin-card {
    transition: transform .3s ease;
}

.spin-card:hover {
    transform: translateY(-5px);
}

/* disable selection globalno */
.spin-viewer,
.spin-viewer * {
    user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
}

.spin-viewer {
    cursor: grab;
}

.spin-viewer:active {
    cursor: grabbing;
}

.spin-frame {
    will-change: transform;
    transform: translateZ(0);
}
